EZ_GetLabelPixmapInfo(3)

NAME
EZ_GetLabelPixmapInfo - retrieve info about a labelPixmap

SYNOPSIS
#include <EZ.h>

int EZ_GetLabelPixmapInfo(EZ_Pixmap *pix, Pixmap pixmap_ret,
                   Pixmap shape_ret, int w_ret, int h_ret)

ARGUMENTS
pix Specifies a labelPixmap, must be created by EZ_CreateLabelPixmapFrom***.

pixmap_ret Specifies the return for the actual X pixmap.

shapre_ret Specifies the return for the shape mask bitmap. space.

w_ret, h_ret Specifies the return for the width and the height of the labelPixmap.

DESCRIPTION

This function retrieve the information about a labelPixmap. It returns the depth of the pixmap, 1 for bitmap etc. If pix is not a valid labelPixmap, it returns 0.

SEE ALSO
EZ_CreateLabelPixmapFromXpmFile(3), EZ_CreateGLImage(3), EZ_GetGLImageInfo(3)